Skip to main content
OnCommand Insight

Upgrading the anomaly detection engine

Contributors

Starting with OnCommand Insight version 7.3.9 you can perform an in-line upgrade of the anomaly detection software. The in-line upgrade preserves your anomaly detection data and anomaly scores.

Before you begin

  • The system must be running OnCommand Insight 7.3.7 or later.

  • It is recommended to upgrade the OnCommand Insight Server prior to upgrading the Anomaly Detection Engine.

About this task

Use the following steps to upgrade:

Steps

  1. Navigate to the directory where the installer is located: cd oci-prelert-<version>-linux-x86_64

  2. Install the anomaly detection upgrade software: sudo ./oci-prelert-install.sh

    The anomaly detection software is successfully registered with the OnCommand Insight server.